%define upstream_name    Dist-Zilla-Plugin-Twitter
%define upstream_version 0.026

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 7

Summary:    Twitter when you release with Dist::Zilla
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Config::INI::Reader)
BuildRequires: perl(Config::INI::Writer)
BuildRequires: perl(Dist::Zilla) >= 4.0.0
BuildRequires: perl(Dist::Zilla::App::Tester)
BuildRequires: perl(Dist::Zilla::Role::AfterRelease)
BuildRequires: perl(Dist::Zilla::Role::Releaser)
BuildRequires: perl(Dist::Zilla::Role::TextTemplate)
BuildRequires: perl(Dist::Zilla::Tester)
BuildRequires: perl(Dist::Zilla::Util)
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Path)
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Temp)
BuildRequires: perl(HTTP::Response)
BuildRequires: perl(LWP::UserAgent)
BuildRequires: perl(Module::Build) >= 0.360.100
BuildRequires: perl(Moose) >= 0.990.0
BuildRequires: perl(Net::Twitter) >= 3.0.0
BuildRequires: perl(PPI::Document)
BuildRequires: perl(Params::Util)
BuildRequires: perl(Pod::Eventual)
BuildRequires: perl(Sub::Exporter)
BuildRequires: perl(Term::Encoding)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(Try::Tiny)
BuildRequires: perl(WWW::Shorten) >= 3.20.0
BuildRequires: perl(WWW::Shorten::Simple)
BuildRequires: perl(WWW::Shorten::TinyURL)
BuildRequires: perl(base)
BuildRequires: perl(namespace::autoclean) >= 0.90.0
BuildRequires: perl(strict)
BuildRequires: perl(utf8)
BuildRequires: perl(warnings)

BuildConflicts: cpanminus

BuildArch:  noarch

%description
This plugin will use the Net::Twitter manpage with the login and password
in your '.netrc' file to send a release notice to Twitter. By default, it
will include a link to your README file as extracted on a fast CPAN mirror.
This works very nicely with the Dist::Zilla::Plugin::ReadmeFromPod manpage.

The default configuration is as follows:

   [Twitter]
   tweet_url = http://cpan.cpantesters.org/authors/id/{{$AUTHOR_PATH}}/{{$DIST}}-{{$VERSION}}.readme
   tweet = Released {{$DIST}}-{{$VERSION}} {{$URL}}

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Sun Mar 20 2022 umeabot <umeabot> 0.26.0-7.mga9
+ Revision: 1803425
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.26.0-6.mga8
+ Revision: 1494409
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 0.26.0-5.mga7
+ Revision: 1267717
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.26.0-4.mga6
+ Revision: 1026647
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 0.26.0-3.mga6
+ Revision: 970338
- Mageia 6 Mass Rebuild

* Sat Oct 03 2015 sander85 <sander85> 0.26.0-2.mga6
+ Revision: 885975
- Fix BRs

* Tue Mar 03 2015 shlomif <shlomif> 0.26.0-1.mga5
+ Revision: 817415
- Bump version to 0.026 to fix build problems (see Luigi's list)

* Wed Oct 15 2014 umeabot <umeabot> 0.25.0-3.mga5
+ Revision: 739239
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Sun Feb 09 2014 sander85 <sander85> 0.25.0-1.mga5
+ Revision: 587656
- update to 0.025

* Mon Oct 21 2013 umeabot <umeabot> 0.22.0-2.mga4
+ Revision: 537998
- Mageia 4 Mass Rebuild

* Sat Sep 28 2013 sander85 <sander85> 0.22.0-1.mga4
+ Revision: 488241
- update to 0.022

* Tue Aug 06 2013 sander85 <sander85> 0.21.0-1.mga4
+ Revision: 464184
- update to 0.021

* Fri Jun 07 2013 jquelin <jquelin> 0.20.0-1.mga4
+ Revision: 439219
- update to 0.020

* Sun Jan 13 2013 umeabot <umeabot> 0.17.0-2.mga3
+ Revision: 366546
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jul 12 2012 jquelin <jquelin> 0.17.0-1.mga3
+ Revision: 270276
- update to 0.017

* Tue Jun 05 2012 jquelin <jquelin> 0.16.0-1.mga3
+ Revision: 254941
- update to 0.016

* Wed Jan 25 2012 jquelin <jquelin> 0.14.0-1.mga2
+ Revision: 200871
- update to 0.014

* Mon Dec 12 2011 jquelin <jquelin> 0.13.0-2.mga2
+ Revision: 180930
- force update

* Mon Dec 12 2011 jquelin <jquelin> 0.13.0-1.mga2
+ Revision: 180868
- update to 0.013

* Thu Oct 13 2011 jquelin <jquelin> 0.11.0-1.mga2
+ Revision: 154284
- update to 0.011

* Sat Feb 26 2011 jquelin <jquelin> 0.10.0-1.mga1
+ Revision: 60335
- update to 0.010

* Wed Jan 26 2011 jquelin <jquelin> 0.9.0-1.mga1
+ Revision: 40625
- mageia rebuild
- imported package perl-Dist-Zilla-Plugin-Twitter

